Page MenuHomePhabricator

"Back to top" button for Mobile Frontend
Closed, DuplicatePublic

Description

Wishlist / feature request item:
Can we have a "back to top" button on Mobile Wikipedia (Mobile Frontend)? When a section is expanded, it's cumbersome to get back to the top.

Related Objects

Event Timeline

deryckchan raised the priority of this task from to Needs Triage.
deryckchan updated the task description. (Show Details)
deryckchan added a subscriber: deryckchan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2015, 10:52 AM

Where should this button be placed? :)

Change 242185 had a related patch set uploaded (by Florianschmidtwelzow):
Add a "back to top" button to the bottom right of the page

https://gerrit.wikimedia.org/r/242185

Florian claimed this task.Sep 29 2015, 4:51 PM

That would be the actual result:

I'm not sure, if this is the right approach and if it wouldn't be better to think about the same solution as in our mobile apps (where you have a ToC button at the same position as the back to top in the screenshot, which opens a right drawer with available section headings)?

Looks about right to me.

Change 242185 merged by jenkins-bot:
Beta: Add a "back to top" button to the bottom right of the page

https://gerrit.wikimedia.org/r/242185

Ok, thanks for mergin @Jdlrobson :) Now, let's keep this task open, until we add EventLogging to it, so we see, how much it's used.

Btw.: this is available in beta only for now :)

Florian set Security to None.

Change 247044 had a related patch set uploaded (by Florianschmidtwelzow):
Enable EventLogging for backtotop and re-enable for font-changer

https://gerrit.wikimedia.org/r/247044

Change 247045 had a related patch set uploaded (by Florianschmidtwelzow):
Add backtotop-click and remove fontchanger menu

https://gerrit.wikimedia.org/r/247045

Change 247044 abandoned by Florianschmidtwelzow:
Enable EventLogging for backtotop and re-enable for font-changer

Reason:
Not working on this atm

https://gerrit.wikimedia.org/r/247044

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 25 2015, 7:43 PM

Change 247045 abandoned by Florianschmidtwelzow:
Add backtotop-click and remove fontchanger menu

https://gerrit.wikimedia.org/r/247045